# rpmio/getpass.c File Reference

`#include "system.h"`
`#include "rpmio.h"`
`#include "debug.h"`
Include dependency graph for getpass.c:

Go to the source code of this file.

## Functions

char * | _GetPass (const char *prompt)
char * | _RequestPass (const char *prompt)

## Variables

char *(* | Getpass )(const char *prompt) = _GetPass
| Return a password.

## Detailed Description

Definition in file getpass.c.

## Function Documentation

char* _GetPass | ( | const char * | prompt | ) |

Definition at line 13 of file getpass.c.

char* _RequestPass | ( | const char * | prompt | ) |

Definition at line 37 of file getpass.c.

References argvSplit().

## Variable Documentation

char*(* Getpass)(const char *prompt) = _GetPass

Return a password.

Parameters:

  | prompt | prompt string

Returns:
  password

Definition at line 70 of file getpass.c.

Referenced by main(), and urlFind().